Bug 1284155 - Review Request: python-rpdb - A wrapper around pdb allowing remote debugging
Summary: Review Request: python-rpdb - A wrapper around pdb allowing remote debugging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-21 06:14 UTC by Randy Barlow
Modified: 2015-12-14 14:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-04 19:20:09 UTC
jpena: fedora-review+


Attachments (Terms of Use)

Description Randy Barlow 2015-11-21 06:14:01 UTC
Spec URL: https://storm.electronsweatshop.com/index.php/s/QG9k8RJg5HHhtNc
SRPM URL: https://storm.electronsweatshop.com/index.php/s/0UX8LNVpLOh34qf
Description: A wrapper around pdb allowing remote debugging via netcat or telnet.
This is especially useful in a Tomcat/Jython environment where little
debugging tools are available.
Fedora Account System Username: rbarlow

Here is a Koji build for Fedora 23: http://koji.fedoraproject.org/koji/taskinfo?taskID=11930695

For now I only intend to include this package in Fedora 22, 23, and Rawhide.

Comment 1 Randy Barlow 2015-11-21 06:26:53 UTC
I have also filed this patch upstream so that I can eliminate the patch I applied in my source RPM:

https://github.com/tamentis/rpdb/pull/14

Comment 2 Randy Barlow 2015-11-21 06:34:56 UTC
Here is the rpmlint output. The only complaints are about spelling the words "pdb" and "netcat":

[rbarlow@ohm python-rpdb]$ rpmlint -i /home/rbarlow/rpmbuild/SRPMS/python-rpdb-0.1.5-1.fc23.src.rpm 
python-rpdb.src: W: spelling-error Summary(en_US) pdb -> pd, db, pub
The value of this tag appears to be misspelled. Please double-check.

python-rpdb.src: W: spelling-error %description -l en_US pdb -> pd, db, pub
The value of this tag appears to be misspelled. Please double-check.

python-rpdb.src: W: spelling-error %description -l en_US netcat -> net cat, net-cat, Netscape
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.
[rbarlow@ohm python-rpdb]$ rpmlint -i ~/rpmbuild/RPMS/noarch/python2-rpdb-0.1.5-1.fc23.noarch.rpm 
python2-rpdb.noarch: W: spelling-error Summary(en_US) pdb -> pd, db, pub
The value of this tag appears to be misspelled. Please double-check.

python2-rpdb.noarch: W: spelling-error %description -l en_US pdb -> pd, db, pub
The value of this tag appears to be misspelled. Please double-check.

python2-rpdb.noarch: W: spelling-error %description -l en_US netcat -> net cat, net-cat, Netscape
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.
[rbarlow@ohm python-rpdb]$ rpmlint -i ~/rpmbuild/RPMS/noarch/python3-rpdb-0.1.5-1.fc23.noarch.rpm 
python3-rpdb.noarch: W: spelling-error Summary(en_US) pdb -> pd, db, pub
The value of this tag appears to be misspelled. Please double-check.

python3-rpdb.noarch: W: spelling-error %description -l en_US pdb -> pd, db, pub
The value of this tag appears to be misspelled. Please double-check.

python3-rpdb.noarch: W: spelling-error %description -l en_US netcat -> net cat, net-cat, Netscape
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.
[rbarlow@ohm python-rpdb]$ rpmlint -i python2-rpdb
python2-rpdb.noarch: W: spelling-error Summary(en_US) pdb -> pd, db, pub
The value of this tag appears to be misspelled. Please double-check.

python2-rpdb.noarch: W: spelling-error %description -l en_US pdb -> pd, db, pub
The value of this tag appears to be misspelled. Please double-check.

python2-rpdb.noarch: W: spelling-error %description -l en_US netcat -> net cat, net-cat, Netscape
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.
[rbarlow@ohm python-rpdb]$ rpmlint -i python3-rpdb
python3-rpdb.noarch: W: spelling-error Summary(en_US) pdb -> pd, db, pub
The value of this tag appears to be misspelled. Please double-check.

python3-rpdb.noarch: W: spelling-error %description -l en_US pdb -> pd, db, pub
The value of this tag appears to be misspelled. Please double-check.

python3-rpdb.noarch: W: spelling-error %description -l en_US netcat -> net cat, net-cat, Netscape
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 3 warnings

Comment 3 Randy Barlow 2015-11-21 07:09:45 UTC
Apologies for the OwnCloud links before. I didn't realize they'd be an "interactive" link. Here are the files on fedorapeople:

Spec URL: https://rbarlow.fedorapeople.org/python-rpdb.spec
SRPM URL: https://rbarlow.fedorapeople.org/python-rpdb-0.1.5-1.fc23.src.rpm

Comment 4 Javier Peña 2015-11-23 10:47:56 UTC
Overall the spec looks good to me, with only one recommendation.

In the %files section, could you use some more specific paths? Using %{python2_sitelib}/* could lead to issues if any spurious files are created during the build process. The generated package looks ok, but it is cleaner that way.

Comment 5 Randy Barlow 2015-11-24 03:21:02 UTC
Thank you for your review Javier! I have updated the spec to use more explicit paths as per your suggestion. Here is the updated spec and SRPM:

Spec URL: https://rbarlow.fedorapeople.org/python-rpdb.spec
SRPM URL: https://rbarlow.fedorapeople.org/python-rpdb-0.1.5-2.fc24.src.rpm

Comment 6 Javier Peña 2015-11-24 11:50:43 UTC
The package is APPROVED, please proceed with the SCM request.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 6 files have unknown
     license. Detailed output of licensecheck in /tmp/1284155-python-
     rpdb/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-rpdb , python3-rpdb
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-rpdb-0.1.5-2.fc24.noarch.rpm
          python3-rpdb-0.1.5-2.fc24.noarch.rpm
          python-rpdb-0.1.5-2.fc24.src.rpm
python2-rpdb.noarch: W: spelling-error Summary(en_US) pdb -> pd, db, pub
python2-rpdb.noarch: W: spelling-error %description -l en_US pdb -> pd, db, pub
python2-rpdb.noarch: W: spelling-error %description -l en_US netcat -> net cat, net-cat, Netscape
python3-rpdb.noarch: W: spelling-error Summary(en_US) pdb -> pd, db, pub
python3-rpdb.noarch: W: spelling-error %description -l en_US pdb -> pd, db, pub
python3-rpdb.noarch: W: spelling-error %description -l en_US netcat -> net cat, net-cat, Netscape
python3-rpdb.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpdb/__pycache__/__init__.cpython-35.opt-1.pyc
python-rpdb.src: W: spelling-error Summary(en_US) pdb -> pd, db, pub
python-rpdb.src: W: spelling-error %description -l en_US pdb -> pd, db, pub
python-rpdb.src: W: spelling-error %description -l en_US netcat -> net cat, net-cat, Netscape
3 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
python3-rpdb.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpdb/__pycache__/__init__.cpython-35.opt-1.pyc
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
python3-rpdb (rpmlib, GLIBC filtered):
    python(abi)

python2-rpdb (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-rpdb:
    python3-rpdb

python2-rpdb:
    python-rpdb
    python-rpdb(x86-64)
    python2-rpdb



Source checksums
----------------
https://github.com/tamentis/rpdb/archive/0.1.5.tar.gz :
  CHECKSUM(SHA256) this package     : e50f3a9d3e52d9a78e43c7d531b6b9278aa0a6bceed17c5fcc545751e6256afe
  CHECKSUM(SHA256) upstream package : e50f3a9d3e52d9a78e43c7d531b6b9278aa0a6bceed17c5fcc545751e6256afe


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1284155 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Gwyn Ciesla 2015-11-24 16:46:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-rpdb

Comment 8 Fedora Update System 2015-11-25 02:39:45 UTC
python-rpdb-0.1.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9a75e55d17

Comment 9 Fedora Update System 2015-11-25 02:45:43 UTC
python-rpdb-0.1.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ca4981c11

Comment 10 Fedora Update System 2015-11-26 02:25:17 UTC
python-rpdb-0.1.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-rpdb'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ca4981c11

Comment 11 Fedora Update System 2015-11-26 02:54:16 UTC
python-rpdb-0.1.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-rpdb'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9a75e55d17

Comment 12 Fedora Update System 2015-11-27 23:42:29 UTC
python-rpdb-0.1.5-2.el7.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d4cca40e73

Comment 13 Fedora Update System 2015-11-29 06:52:58 UTC
python-rpdb-0.1.5-2.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-rpdb'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d4cca40e73

Comment 14 Fedora Update System 2015-12-04 19:20:07 UTC
python-rpdb-0.1.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-12-04 21:20:33 UTC
python-rpdb-0.1.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-12-14 14:23:45 UTC
python-rpdb-0.1.5-2.el7.1 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.